/**
  PasswordMaker - Creates and manages passwords
  Copyright (C) 2005 Eric H. Jung and LeahScape, Inc.
  http://passwordmaker.org/
  grimholtz@yahoo.com

  This library is free software; you can redistribute it and/or modify it
  under the terms of the GNU Lesser General Public License as published by
  the Free Software Foundation; either version 2.1 of the License, or (at
  your option) any later version.

  This library is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESSFOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
  for more details.

  You should have received a copy of the GNU Lesser General Public License
  along with this library; if not, write to the Free Software Foundation,
  Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
**/

var /*formname,*/ fieldname, fieldvalue, fieldtype, passwordMaker, fieldsTree, deleteBtn, fieldsContainer;


function onload() {
  passwordMaker = window.arguments[0].inn.passwordMaker;
  var accountsRes = window.arguments[0].inn.accountRes;
  var fieldsSubjectRes = PwdMkr_RDFUtils.makeResource(accountsRes.Value + "/fields");
  fieldsContainer = PwdMkr_RDFUtils.rdfContainerUtils.MakeSeq(PwdMkr_RDFUtils.datasource, fieldsSubjectRes);

  fieldname = document.getElementById("fieldname");
  fieldvalue = document.getElementById("fieldvalue");
  fieldtype = document.getElementById("fieldtype");
  //formname = document.getElementById("formname");
  fieldsTree = document.getElementById("fieldsTree");
  deleteBtn = document.getElementById("deleteBtn");
  fieldsTree.setAttribute("ref", fieldsSubjectRes.Value);
  fieldsTree.database.AddDataSource(PwdMkr_RDFUtils.datasource);
  fieldsTree.builder.rebuild();
  passwordMaker.appcontent.addEventListener("click", this.click, true);
}

function onunload() {
  passwordMaker.appcontent.removeEventListener("click", this.click, true);
}

function click(evt) {
  //dump("****************** hi\n");
  var target = evt.target;
  //dump("nodeName = " + target.nodeName + "\n");
  //dump("nodeType = " + target.nodeType + "\n");
  //dump("parentNode = " + target.parentNode + "\n");
  //for (i in target.attributes) {
    //if (!target.attributes[i] instanceof 'function')
      //dump(target.attributes[i] + "=" + target.attributes[i].value + "\n");
  //}
  //dump("type=" + target.type + "\n");
  //dump("name=" + target.name + "\n");
  //dump("value=" + target.value + "\n");

  //dump("\n\n");
  // input, 
	fieldname.value = target.name;
	fieldvalue.value = target.value;
	fieldtype.value = target.type;
}

function onAddField() {
  if (fieldname.value == "") {
    passwordMaker.prompts.alert(this, "PasswordMaker", "A name for the field is required.");
    clear();
    return;
  }

  // check for dups
  var elems = document.getElementsByTagName("treecell");
  for (var i=0; i<elems.length; i++) {
    if (elems[i].attributes["type"].value == "name" && elems[i].attributes["label"].value == fieldname.value) {
      passwordMaker.prompts.alert(this, "PasswordMaker", "A field with that name already exists.");
      clear();
      return;
    }
  }

  var fieldRes = PwdMkr_RDFUtils.makeResource();
  // Add the resource to the container (folder)
  fieldsContainer.AppendElement(fieldRes);
  //PwdMkr_RDFUtils.updateTarget(fieldRes, "formname", formname.value);
  PwdMkr_RDFUtils.updateTarget(fieldRes, "fieldname", fieldname.value);
  PwdMkr_RDFUtils.updateTarget(fieldRes, "fieldvalue", fieldvalue.value);
  PwdMkr_RDFUtils.flush();
  clear();
  onFieldsTreeSelected();
}

function clear() {
  if (fieldsTree.view.selection != null)
    fieldsTree.view.selection.clearSelection();
  /*formname.value =*/ fieldname.value = fieldvalue.value = "";
}

function onRemoveField() {
  var temp = getActiveTreeInfo();

  //if (deleteTreeItem(fieldsTree, fieldsContainer))
    //clear();
}

function onFieldsTreeSelected() {
  deleteBtn.disabled = fieldsTree.currentIndex == -1;
}