/**
  PasswordMaker - Creates and manages passwords
  Copyright (C) 2005 Eric H. Jung and LeahScape, Inc.
  http://passwordmaker.org/
  grimholtz@yahoo.com

  This library is free software; you can redistribute it and/or modify it
  under the terms of the GNU Lesser General Public License as published by
  the Free Software Foundation; either version 2.1 of the License, or (at
  your option) any later version.

  This library is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESSFOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
  for more details.

  You should have received a copy of the GNU Lesser General Public License
  along with this library; if not, write to the Free Software Foundation,
  Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
**/
var masterPasswordTB1, masterPasswordTB2, passwordStorageLB, confirmationRow,
  passwordMaker; // do not make local to onOK()--used in onPasswordStorageLBChanged();

function onOK() {
  if (!confirmationRow.hidden && (masterPasswordTB1.value != masterPasswordTB2.value)) {
     passwordMaker.prompts.alert(this, "PasswordMaker", "The passwords do not match.");
     masterPasswordTB1.value = masterPasswordTB2.value = "";
     masterPasswordTB1.focus();
    return false;
  }
  else if (masterPasswordTB1.value == "") {
    // mpw can't be empty
    passwordMaker.prompts.alert(this, "PasswordMaker", "The master password cannot be empty.");
    return false;
  }    

  window.arguments[0].out = new Object();
  window.arguments[0].out.masterPassword = masterPasswordTB1.value;
  window.arguments[0].out.passwordStorage = passwordStorageLB.value;  
  return true;
}

function onload() {
  passwordMaker = window.arguments[0].inn.passwordMaker;
  masterPasswordTB1 = document.getElementById("masterPasswordTB1");
  masterPasswordTB2 = document.getElementById("masterPasswordTB2");
  passwordStorageLB = document.getElementById("passwordStorageLB");
  confirmationRow = document.getElementById("confirmationRow");
  
  // for passwdmakerOverlay.js to work
  // Get references to the UI elements
  passwordMaster = document.getElementById("passwordMaster");
  passwordGenerated = document.getElementById("passwordGenerated");
  passwordStorageLB = document.getElementById("passwordStorageLB");
  createTreeFolderBtn = document.getElementById("createTreeFolderBtn");
  newAccountCmd = document.getElementById("newAccountCmd");
  usingURL = document.getElementById("usingURL");
  
  
  masterPasswordTB1.focus();
    
  // Show MPW confirmation?
  confirmationRow.hidden = 
    passwordMaker._getLiteral(passwordMaker.globalSettingsSubjectRes, passwordMaker.confirmMPWPredicateRes) != "true";
}

